project:
  name: project
  collection: edgenetwork.projects
  attributes:
  - &project
    parameter_name: projectsId
    attribute_name: project
    help: The project name.
    property: core/project

location:
  name: location
  collection: edgenetwork.projects.locations
  attributes:
  - *project
  - &location
    parameter_name: locationsId
    attribute_name: location
    help: The global location name.
  disable_auto_completers: false

zone:
  name: zone
  collection: edgenetwork.projects.locations.zones
  request_id_field: zoneId
  attributes:
  - *project
  - *location
  - &zone
    parameter_name: zonesId
    attribute_name: zone
    help: The name of the Google Distributed Cloud Edge zone.
  disable_auto_completers: false

network:
  name: network
  collection: edgenetwork.projects.locations.zones.networks
  request_id_field: networkId
  attributes:
  - *project
  - *location
  - *zone
  - &network
    parameter_name: networksId
    attribute_name: network
    help: Google Distributed Cloud Edge network.
  disable_auto_completers: false

subnet:
  name: subnet
  collection: edgenetwork.projects.locations.zones.subnets
  request_id_field: subnetId
  attributes:
  - *project
  - *location
  - *zone
  - &subnet
    parameter_name: subnetsId
    attribute_name: subnet
    help: Google Distributed Cloud Edge subnet.
  disable_auto_completers: false

interconnect:
  name: interconnect
  collection: edgenetwork.projects.locations.zones.interconnects
  request_id_field: interconnectId
  attributes:
  - *project
  - *location
  - *zone
  - &interconnect
    parameter_name: interconnectsId
    attribute_name: interconnect
    help: Google Distributed Cloud Edge interconnect.
  disable_auto_completers: false

attachment:
  name: interconnect attachment
  collection: edgenetwork.projects.locations.zones.interconnectAttachments
  request_id_field: interconnectAttachmentId
  attributes:
  - *project
  - *location
  - *zone
  - &interconnectAttachment
    parameter_name: interconnectAttachmentsId
    attribute_name: interconnect_attachment
    help: Google Distributed Cloud Edge interconnect attachment.
  disable_auto_completers: false

router:
  name: router
  collection: edgenetwork.projects.locations.zones.routers
  request_id_field: routerId
  attributes:
  - *project
  - *location
  - *zone
  - &router
    parameter_name: routersId
    attribute_name: router
    help: Google Distributed Cloud Edge router.
  disable_auto_completers: false

route:
  name: route
  collection: edgenetwork.projects.locations.zones.routes
  request_id_field: routeId
  attributes:
  - *project
  - *location
  - *zone
  - &route
    parameter_name: routesId
    attribute_name: route
    help: Google Distributed Cloud Edge route.
  disable_auto_completers: false

operation:
  name: operation
  collection: edgenetwork.projects.locations.operations
  attributes:
  - *project
  - *location
  - parameter_name: operationsId
    attribute_name: operation
    help: Edge-network long running operation.
  disable_auto_completers: false
